<?php
App::uses('BlogPluginAppModel', 'BlogPlugin.Model');

class BlogComment extends BlogPluginAppModel
{
	public $displayField = 'author';

	public $belongsTo = array(
		'BlogPost' => array(
			'className' => 'BlogPlugin.BlogPost'
		)
	);

	public $validate = array(
		'blog_post_id' => array(
			'notempty' => array(
				'rule' => array('notempty')
			),
		),
		'author' => array(
			'notempty' => array(
				'rule' => array('notempty')
			),
		),
		'comment' => array(
			'notempty' => array(
				'rule' => array('notempty')
			),
		)
	);

}
