<div class="col two">

    <div class="content-body">

        <div class="blogs-fullpage">

            <div class="blogs__blog blogs__blog--details">

                <div class="blogs__blog__date">
                    <?php echo $this->Time->format("jS F Y", $data['BlogPost']['posted']); ?>
                </div>

                <h1><?php echo $data['BlogPost']['name']; ?></h1>

                <?php echo $data['BlogPost']['body']; ?>

                <?php if (isset($data['BlogTag']) && ! empty($data['BlogTag'])): ?>
                    <p class="blogs__blog__tags">
                        <strong>Tags:</strong>

                        <?php $tags = array(); ?>
                        <?php foreach ($data['BlogTag'] as $tag): ?>

                            <?php
                                $tags[] = $this->Html->link(
                                    $tag['tag'],
                                    array(
                                        'plugin' => 'blog_plugin',
                                        'controller' => 'blog_tags',
                                        'action' => 'view',
                                        $tag['tag']
                                    )
                                );
                            ?>

                        <?php endforeach; ?>

                        <?php echo implode(', ', $tags); ?>

                    </p>
                <?php endif; ?>

            </div>
        </div>

    </div>

    <div class="comments">

        <?php $comment_count = count($data['BlogComment']); ?>

        <?php echo '<a name="blog-comments"></a>'; ?>
        <h2>
            <?php if ($comment_count > 1): ?>
                <?php echo $comment_count; ?> Comments
            <?php elseif ($comment_count == 1): ?>
                1 Comment
            <?php else: ?>
                No Comments
            <?php endif; ?>
        </h2>

        <?php if ($comment_count > 0): ?>

            <div class="comments__container">

                <?php foreach ($data['BlogComment'] as $comment): ?>

                    <div class="comment">
                        <a name="comment-<?php echo $comment['id']; ?>"></a>

                        <div class="comment__image">
                            <?php

                                echo $this->Html->get_gravatar(
                                    $comment['email'],
                                    58,
                                    'mm',
                                    'g',
                                    true,
                                    array(
                                        'alt' => $comment['author'] . ' Gravatar'
                                    )
                                );
                            ?>
                        </div>

                        <div class="comment__body">

                            <h2 class="comment__body__author"><?php echo $comment['author']; ?></h2>
                            <h4 class="comment__body__date"><?php echo $this->Time->format('F jS, Y \a\t H:i', $comment['created']); ?></h4>

                            <div class="comment__body__body">
                                <?php echo $comment['comment']; ?>
                            </div>

                        </div>

                    </div>

                <?php endforeach; ?>

            </div>

        <?php else: ?>

            <p>Be the first to comment!</p>

        <?php endif; ?>


        <h2>Leave a comment</h2>

        <?php
            echo $this->Session->flash('blog-comment');

            echo $this->Form->create('BlogPlugin.BlogComment', array(
                'url' => array(
                    'plugin' => 'blog_plugin',
                    'controller' => 'blog_comments',
                    'action' => 'post_comment'
                )
            ));

                // spam field :)
                echo $this->Form->input('email_confirm', array(
                    'div' => array(
                        'style' => 'display: none;'
                    )
                ));

                echo $this->Form->input('BlogComment.comment_id', array(
                    'type' => 'text',
                    'div' => false,
                    'label' => false,
                    'style' => 'display: none;'
                ));

                echo $this->Form->hidden('BlogComment.blog_post_id', array(
                    'value' => $data['BlogPost']['id']
                ));

                echo $this->Form->input('BlogComment.author', array(
                    'label' => 'Name',
                    'div' => 'input col'
                ));

                echo $this->Form->input('BlogComment.email', array(
                    'div' => 'input col'
                ));

                echo $this->Form->addField('BlogComment.comment', array(
                    'type' => 'text_plain'
                ));

                echo '<div class="input submit">';
                    echo $this->Form->button('Submit &raquo;', array(
                        'escape' => false
                    ));
                echo '</div>';

            echo $this->Form->end();
        ?>
    </div>

</div>

<div class="col one">

    <?php echo $this->Element('BlogPlugin.sidebar'); ?>

</div>

