<?php if (isset($latest_posts) && ! empty($latest_posts)): ?>

    <div class="blog-widget blog-latest-posts">

        <h2>Recent Posts</h2>

        <?php foreach ($latest_posts as $post): ?>

            <div class="latest_post">

                <h3>
                    <?php
                        echo $this->Html->link(
                            $post['BlogPost']['name'],
                            array(
                                'plugin' => 'blog_plugin',
                                'controller' => 'blog_posts',
                                'action' => 'view',
                                $post['BlogPost']['id']
                            )
                        );
                    ?>
                </h3>

                <?php
                    echo $this->Html->link(
                        'Read More &raquo;',
                        array(
                            'plugin' => 'blog_plugin',
                            'controller' => 'blog_posts',
                            'action' => 'view',
                            $post['BlogPost']['id']
                        ),
                        array(
                            'class' => 'read-more',
                            'escape' => false
                        )
                    );
                ?>

            </div>

        <?php endforeach; ?>

    </div>

<?php endif; ?>